Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenRuleTarget, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenAuditedMetricTarget, GenDiagramElementTarget, GenDomainAttributeTarget, GenDomainElementTarget, GenNotationElementTarget

All Known Implementing Classes:
  GenAuditableImpl, GenAuditedMetricTargetImpl, GenDiagramElementTargetImpl, GenDomainAttributeTargetImpl, GenDomainElementTargetImpl, GenNotationElementTargetImpl

    public interface GenAuditable

extends GenRuleTarget

A representation of the model object 'Gen Auditable'. Target suitable for auditing

The following features are supported:

- `Context Selector`

See Also:
  `GMFGenPackage.getGenAuditable()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenAuditContext` `getContextSelector()` Returns the value of the 'Context Selector' reference.
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getTargetClass()` Gets the validation target class in terms of EMFT validation framework
`java.lang.String` `getTargetClassModelQualifiedName()` Consists of ecore meta-model only package names and target class simple name
`void` `setContextSelector(GenAuditContext value)` Sets the value of the '`Context Selector`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleTarget
`getContext`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContextSelector

    GenAuditContext getContextSelector()

  Returns the value of the 'Context Selector' reference. It is bidirectional and its opposite is '`Rule Targets`'. To apply audit to this target, we need to select appropriate input, and here's selector that helps with that

  Returns:
    the value of the 'Context Selector' reference.
  See Also:
    `setContextSelector(GenAuditContext)`, `GMFGenPackage.getGenAuditable_ContextSelector()`, `GenAuditContext.getRuleTargets()`
  ** Generated **
  Model:
    opposite="ruleTargets"

### setContextSelector

    void setContextSelector(GenAuditContext value)

  Sets the value of the '`Context Selector`' reference.

  Parameters:
    `value` - the new value of the 'Context Selector' reference.
  See Also:
    `getContextSelector()`
  ** Generated **

### getTargetClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getTargetClass()

  Gets the validation target class in terms of EMFT validation framework.

  ** Generated **
  Model:
    kind="operation"

### getTargetClassModelQualifiedName

    java.lang.String getTargetClassModelQualifiedName()

  Consists of ecore meta-model only package names and target class simple name

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.